! Copyright (C) 2019-2021:
!   Max Planck Institut fuer extraterrestrische Physik, Leibniz Institute for Astrophysics Potsdam (AIP)
!
! This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
! redistribute it and/or modify it under the terms of the GNU General
! Public License as published by the Free Software Foundation; either
! version 2 of the License, or (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
! General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this library; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
! USA, or see https://www.gnu.org/licenses/.
!

module numkind

!-------------------------------------------------------------------------------
! Defines kind values for integer and real data types
! the integer and real definitions  will become obsolete with the introduction of the 
! internal module ISO_FORTRAN_ENV in gfortran v4.5
!-------------------------------------------------------------------------------

  use iso_fortran_env
  
  public

  !integer(kind=4), parameter :: int8=1,   int16=2,  int32=4,   int64=8
  !integer(kind=4), parameter :: real32=4, real64=8, real128=16
  integer(kind=4), parameter :: log8=1,   log16=2,  log32=4
  ! lenght of file names:
  integer(kind=4), parameter :: clong=1024
  
  contains

end module numkind



